Subject: Re: zsh completion broken for file completion

From: Manlio Perillo <[email-masked]>
Date: Tue, 02 Apr 2013 14:47:14 +0200

Il 01/04/2013 11:29, Felipe Contreras ha scritto:
> 
> 
> On Thu, Feb 28, 2013 at 12:59 PM, Manlio Perillo
> <[email-masked] <mailto:[email-masked]>> wrote:
> 
> 
>     [1] Basically, on my system I need the following change at the end of
>         the file:
> 
>             -_git
>             +autoload -U +X compinit && compinit
>             +compdef _git git gitk
> 
>         I don't know the reason, however; and it seems that it is a problem
>         only for me
> 
> 
> Are you sourcing this script? If so, don't; do what is suggested at the
> top: use fpath to load it automatically.
> 

I'm using fpath as documented.

However I tested the script again, and now seems to work correctly.
It is possible that in the past I was using an incorrect configuration.

Thanks   Manlio Perillo